/* General Styles */
* {
    font-family: "Rubik", sans-serif;
}

/* Navbar Styles */
.navbar {
    background-color: #34001E;
}

.nav-link {
    color: white;
    font-weight: 700;
}

.nav-link:hover {
    color: rgb(255, 220, 167);
}

.navbar-toggler {
    border: 1px #D0A933 solid;
    background-color: white;
}

.navbar-brand {
    margin-left: 10%;
}

/* Footer Styles */
footer {
    background-color: #34001E;
    color: white;
    padding-top: 20px;
}

.footer-col h3,
footer .container .row .col h3 {
    color: white;
    font-weight: 700;
}

.footer-col p,
.footer-col a,
footer .container .row .col p,
footer .container .row .col a {
    font-weight: 500;
}

.footer-col a,
footer .container .row .col a {
    color: white;
    text-decoration: none;
}

.footer-col a:hover,
footer .container .row .col a:hover {
    color: rgb(255, 220, 167);
}

@media (max-width: 767px) {

    .footer-col p,
    .footer-col a {
        text-align: center;
        margin: 0;
    }

    .footer-col {
        margin-bottom: 20px;
    }
}

/* Ubicacion Container Styles */
.ubicacion-container {
    display: flex;
    align-items: center;
}

.ubicacion-container iframe {
    border-radius: 10px;
    margin-right: 10px;
}

/* housel Styles */
.carousel-inner,
.carousel-item {
    height: 100vh;
    background-color: #ffffff;
}

.carousel-item img {
    object-fit: cover;
    /* Ajusta la imagen para que cubra el contenedor */
    height: 100vh;
    /* Ajusta la altura de las imágenes al 100% de la altura de la ventana */
}

.carousel-caption {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    bottom: unset;
}

.carousel-caption h5 {
    font-size: 5rem;
    font-weight: 700;
    color: #D0A933;
}

.carousel-caption h4 {
    font-size: 8rem;
    font-weight: 700;
    color: #D0A933;
}

.carousel-caption p {
    font-size: 1.5rem;
    font-weight: 500;
}

.carousel-caption-bg {
    background-color: rgba(0, 0, 0, 0.5);
    padding: 1rem;
    border-radius: 10px;
}

/* Utility Classes */
.hidden {
    display: none;
}

/* Centering Images in Columns */
.d-flex {
    display: flex;
}

.justify-content-center {
    justify-content: center;
}

.align-items-center {
    align-items: center;
}

/* Additional Styles */
h1,
h3 {
    color: #50001C;
    font-weight: 700;
    display: flex;
    justify-content: center;
    margin-top: 20px;
    font-family: "Rubik", sans-serif;
}

.p {
    color: #000000;
    display: flex;
    justify-content: center;
    font-family: "Rubik", sans-serif;
    font-weight: 700;
    padding: 0px 16px;
}

.img {
    width: 200px;
    height: auto;
    margin: 10px;
    display: inline-block;
    border-radius: 25px;
    box-shadow: 0px 7px 10px rgba(52, 0, 30, 0.7);
}

.text-lg,
.text-md,
.text-p {
    color: #50001C;
    font-weight: 700;
}

.year-section {
    background-color: white;
    border-radius: 5px;
    padding: 2px;
    margin: 10px;
    border-bottom: #50001C 1px solid;
}

.fixed-size {
    width: 200px;
    /* Ajusta el ancho según tus necesidades */
    height: 100px;
    /* Ajusta la altura según tus necesidades */
    object-fit: contain;
    /* Para mantener la proporción de las imágenes */
}


.custom-text-white {
    color: #fff;
}

.custom-text-dark {
    color: #000;
}

.custom-bg {
    background-color: #34001E;
}

.custom-rounded {
    border-radius: 10px;
}

.custom-shadow {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.custom-img-overlay {
    position: absolute;
    top: 10px;
    left: 10px;
    background-color: rgba(52, 0, 30, 0.7);
    color: #fff;
    padding: 5px 10px;
    border-radius: 5px;
}

.custom-pagination span {
    cursor: pointer;
}

.a1 {
    text-decoration: none;
    color: #000;
    font-weight: 700;
}

.a1 img {
    border-radius: 10px;
}

.a1 h3 {
    color: #ffffff;
}

.h2 {
    color: #000000;
    background-color: rgb(255, 255, 255);
    border-radius: 15px;
    margin-top: 20px;
    padding-top: 20px;
}

.p1 {
    font-size: 20px;
    color: #000000;
    font-weight: 600;
    padding: 20px 10px;
}

.h1b {
    color: #fff;
    background-color: #340000;
    margin: 0px;
    padding-top: 60px;
}

.avisos {
    border-radius: 20px;
}

.h3a {
    color: white;
    margin-top: 35px;
}

.c a {
    color: #34001E;
}

.btncard {
    background-color: #D0A933;
    border: none;
}

.btncard:hover {
    color: #34001E;
    background-color: #D0A933;
}

.col-a a {
    font-size: 18px;
    text-decoration: none;
    color: #34001E;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease;
}

.toast-container {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 1050;
}

.col-a a:hover {
    transform: scale(1.1);
}

.imgnov {
    display: flex;
    justify-content: center;
    margin-top: 15px;
    margin-bottom: 15px;
}

.textnov {
    display: flex;
    justify-content: center;
    font-size: 30px;
    font-weight: 600;
}

.textnov1 {
    display: flex;
    justify-content: center;
    font-size: 25px;
}

.card-body {
    padding: 20px;
}

.card {
    margin: 0 auto;
    /* Centra la tarjeta dentro de su columna */
}

.c a {
    text-decoration: none;
}

.c .card {
    transition: transform 0.3s ease;
    /* Añade una transición para la animación */
}

.c .card:hover {
    transform: scale(1.05);
    /* Escala la tarjeta al 105% cuando se hace hover */
}

.buttonui {
    padding: 12.5px 30px;
    border: 0;
    border-radius: 100px;
    background-color: #d0a933;
    color: #ffffff;
    font-weight: Bold;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
}

.buttonui:hover {
    background-color: #d0a933;
    box-shadow: 0 0 20px #ffdf7f;
    transform: scale(1.1);
}

.buttonui:active {
    background-color: #d0a933;
    transition: all 0.25s;
    -webkit-transition: all 0.25s;
    box-shadow: none;
    transform: scale(0.98);
}

.buttonui2 {
    padding: 12.5px 30px;
    margin-bottom: 10px;
    border: 0;
    border-radius: 100px;
    background-color: #340000;
    color: #ffffff;
    font-weight: Bold;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
}

.buttonui2:hover {
    background-color: #d0a933;
    box-shadow: 0 0 20px #ffdf7f;
    transform: scale(1.1);
}

.buttonui2:active {
    background-color: #d0a933;
    transition: all 0.25s;
    -webkit-transition: all 0.25s;
    box-shadow: none;
    transform: scale(0.98);
}